
Redmine - Patch #32054

Add test for 4 byte characters (emoji) support

2019-09-12 23:54 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.2.0   

Description

In #31921  was added proper support for 4 byte characters (emoji) for new installations with MySQL as database.

I proposed to have a test for this case, but we're worried that the test will broke the CI server.

The scope of this ticket is to fix the CI server if the MySQL is not already configured properly by recreating the database with utf8mb4

encoding.

Related issues:

Related to Redmine - Feature #31921: Changes to properly support 4 byte chara... Closed

Associated revisions

Revision 20780 - 2021-03-13 02:16 - Go MAEDA

Add test for 4 byte characters (emoji) support (#32054).

Patch by Marius BALTEANU.

History

#1 - 2019-09-12 23:54 - Marius BĂLTEANU

- Related to Feature #31921: Changes to properly support 4 byte characters (emoji) when database is MySQL added

#2 - 2019-09-27 17:36 - Marius BĂLTEANU

- Target version changed from 4.1.0 to 4.2.0

#3 - 2020-04-15 19:22 - Toshi MARUYAMA

I have already added Emoji test (r19699).

git_urf8 test repository is not extracted due to this.

https://www.redmine.org/builds/logs/build_trunk_mysql_ruby-2.6_1044.html

+ PATH=/var/lib/jenkins/ruby/ruby-2.6/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:

/usr/games SCMS=subversion,git,mercurial,filesystem,bazaar,cvs

bundle exec rake ci:about ci:setup db:environment:set RAILS_ENV=test

#4 - 2021-03-12 10:06 - Go MAEDA

- File test_for_emoji_support-v2.patch added

- Category set to Code cleanup/refactoring

- Assignee deleted (Jean-Philippe Lang)

Marius BALTEANU wrote:

I proposed to have a test for this case, but we're worried that the test will broke the CI server.

 I think we can avoid errors occurring on the CI server by adding the following check at the beginning of the test.

    skip if Redmine::Database.mysql? && !is_mysql_utf8mb4

 I will commit test_for_emoji_support-v2.patch soon.
https://www.redmine.org/issues/31921
https://www.redmine.org/projects/redmine/repository/svn/revisions/19699
https://www.redmine.org/attachments/26789


#5 - 2021-03-13 02:16 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.

Files

test_for_emoji_support.patch 832 Bytes 2019-09-12 Marius BĂLTEANU

test_for_emoji_support-v2.patch 1.23 KB 2021-03-12 Go MAEDA
